package ui;

import flash.display.Sprite;
import flash.events.MouseEvent;
import flash.events.Event;

class PopupItem extends Sprite
{
	private var popParent : Popup;
	private var pEvent : Dynamic;
	
	public function new( pop : Popup, evt : Dynamic )
	{
		super();
		popParent = pop;
		pEvent = evt;
		
		addEventListener( MouseEvent.MOUSE_OVER, onMouseOver, false, 0, true /*weak*/);
		addEventListener( MouseEvent.MOUSE_OUT, onMouseOut, false, 0, true /*weak*/ );
		addEventListener( MouseEvent.MOUSE_UP, onMouseUp, false, 0, true /*weak*/ );
	}
	
	private function draw( highlight : Bool, w : Float )
	{
	}
	
	public function widen( nw : Float )
	{
		draw( false, nw );
	}
	
	private function onMouseOver( evt : MouseEvent )
	{
		draw( true, width );
		evt.updateAfterEvent();
		popParent.enterItem( this );
	}
	
	private function onMouseOut( evt : MouseEvent )
	{
		draw( false, width );
		evt.updateAfterEvent();
		popParent.leaveItem( this );
	}
	
	private function onMouseUp( evt : MouseEvent )
	{
		popParent.clickItem( pEvent );
		evt.stopPropagation();
	}
	
	//used by PopupItemSub to return a submenu
	public function getSubMenu() : Popup
	{
		return null;
	}
}
