package ui;

class PopupItemSeparator extends PopupItem
{
	public function new( pop : Popup )
	{
		super( pop, null );
		
		draw( false, 10 );	//minimum width of 10
	}
	
	private function draw( active : Bool, w : Float )
	{
		graphics.clear();
		
		graphics.beginFill( 0, 0 );
		graphics.drawRect( 0, 0, w, 5 );
		graphics.endFill();
		
		graphics.lineStyle( 1, 0x000000, 0.5 );
		graphics.moveTo( 3, 2 );
		graphics.lineTo( w - 3, 2 );
	}
}