package ui;

import flash.text.TextField;
import flash.text.TextFieldAutoSize;

class PopupItemString extends PopupItem
{
	private var text : String;
	
	public function new( pop : Popup, atext : String, evt )
	{
		super( pop, evt );
		text = atext;
		
		//setup text
		textF = new TextField( );
		textF.selectable = false;
		textF.textColor = 0x000000;
		textF.text = text;
		textF.autoSize = TextFieldAutoSize.LEFT;
		addChild( textF );
		
		draw( false, textF.width );
	}
	
	private var textF : TextField;
	private function draw( highlight : Bool, w : Float )
	{
		graphics.clear();
		var alpha = if(highlight) 0.5 else 0.0;
		
		graphics.beginFill( 0xFFFFFF, alpha );
		graphics.moveTo( 0, 0 );
		graphics.lineTo( w, 0 );
		graphics.lineTo( w, height );
		graphics.lineTo( 0, height );
		graphics.endFill();
		
	}
}
