package ui;

interface Sizeable
{
	public function getSizeType() : SizeType;
	
	/**
	 * Sets the intended placement of the item, along the primary dimension
	 * only.
	 *
	 * @param	offset	[in] from origin (>0)
	 * @param	size	[in] along dimension >0 or 0 which indicates invisible
	 */
	public function setPlacement( offset : Float, size : Float ) : Void;
}
