package ui.test;

import flash.display.Sprite;

import ui.StaticTextAlign;
import ui.StaticText;

class CalibrateText
{
	public function new( tf : flash.text.TextFormat )
	{
		var oldSize = tf.size;
		var s = new flash.text.TextField();
		s.text = "X";
		tf.size = 100;
		s.visible = false;
		//s.setTextFormat( tf );
		
		//flash.Lib.current.stage.addChild( s );
		var lm = s.getLineMetrics( 0 );
		//flash.Lib.current.stage.removeChild( s );
		trace( lm.height );
		
		tf.size = oldSize;
	}
}

class TestText extends ui.StageLayout
{
	public function new( )
	{
		super();
	}
	
	var tf1 : StaticText;
	var tf2 : StaticText;
	var tf3 : StaticText;
	
	var texts : Sprite;
	
	function added( )
	{
		texts = new Sprite();
		addChild( texts );
		
		tf1 = new StaticText( "Short" );
		tf1.textColor = 0x800000;
		tf1.x = 100;
		tf1.y = 100;
		tf1.resize( 250, 50 );
		texts.addChild( tf1 );
		
		tf2 = new StaticText( "Left Aligned", StaticTextAlign.Left );
		tf2.textColor = 0x008000;
		tf2.x = 200;
		tf2.y = 150;
		tf2.resize( 333, 115  );
		texts.addChild( tf2 );
		
		tf3 = new StaticText( "Right=>", StaticTextAlign.Right );
		tf3.x = 0;
		tf3.y = 0;
		tf3.resize( 200, 75 );
		texts.addChild( tf3 );
		
		new CalibrateText( new flash.text.TextField().getTextFormat() );
		
		var q = flash.text.Font.enumerateFonts(true);
		trace( q.length );
		
		//tf1.font = q[0].fontName;
		//tf2.font = q[1].fontName;
		//tf3.font = q[2].fontName;
		//for( font in  q )
		//	trace( font.fontName );
	}
	
	function resize( w : Float, h : Float )
	{
		graphics.clear();
		graphics.beginFill( 0xb0b0b0 );
		graphics.drawRect( 0, 0, w, h );
		graphics.endFill();
		
		//texts.width = stage.stageWidth;
		//texts.height = stage.stageHeight;
		
		//SCALED OBJECTS just don't scale correctly with dynamic text!!!!
		tf1.resize( stage.stageWidth/4, 50 );
		tf2.resize( 90,stage.stageHeight/3 );
		tf3.resize( stage.stageWidth/3,stage.stageHeight/6 );
	}

    static function main() {
    	ui.StageLayout.setup( new TestText() );
	}
}
