import flash.MovieClip;

class Simple extends MovieClip
{
	public function new( ) 
	{
	}
	
	private var fade : Int;
	private var nofade : Bool;
	
	public function setup( color : Int ) : Void
	{
		fade = 10;
		nofade = true;
        beginFill( color );
        moveTo(0,0);
        lineTo(100,50);
        lineTo(100,100);
        lineTo(50,100);
        endFill();
        onEnterFrame = mainLoop;
	}
	
    private function mainLoop() 
    {
    	_x += 2;
    	if( !nofade ) 
    	{
    		fade--;
    		_alpha = fade * 10;
    	
    		if( fade < 0 ) 
    		{
	    		removeMovieClip();
    		}
		}    		
    }
    
	override public function onPress():Void {    
		_y -= 10;
	}
}

class MFrame extends MovieClip
{
	var nb : MovieClip;

	public function new()
	{
        beginFill( 0x808080 );
        moveTo(0,0);
        lineTo(800,0);
        lineTo(800,800);
        lineTo(0,800);
        endFill();
	}
	
    public var top : MovieClip;
    
	override public function onMouseMove():Void {    
		var q = top.attachMovie( "Simple", "q", top.getNextHighestDepth() );
		q.setup( 0xFFFFFF * Math.random() );
		q._x = flash.Lib._root._xmouse;
		q._y = flash.Lib._root._ymouse;
		q.nofade = false;
	}
}

class Test1 extends MovieClip
{
    private var buta : MovieClip;
    private var butb : MovieClip;
    
    public function new()
    {
    	var mf = attachMovie( "MFrame", "here", getNextHighestDepth());
    	mf.top = this;
    	
        buta = attachMovie("IShiva","IShiva",getNextHighestDepth());
        buta._x = 100;
        buta._y = 200;
        buta._rotation = 45;
        buta.onEnterFrame = mainLoop;
        
        butb = attachMovie("IMorfeo","IMorfeo",getNextHighestDepth());
        butb._x = 150;
        butb._y = 100;
        butb._rotation = 187;
        
        for( i in 0...10 )
        {
			var q = attachMovie( "Simple", "q" + i, getNextHighestDepth() );
			q.setup( 0xF << (i*2) );
			q._x = 100 + i * 10;
			q._y = 100 + i * 10;
			q._rotation = i * 20;
		}			
    }
    
    private function mainLoop() 
    {
    	buta._rotation += 3;
    	butb._rotation += 1;
    }
    
    static function main() 
    {
    	flash.Lib.current.attachMovie( "Test1", "test1", 0 );
    }
  
}