package ui;

import flash.text.TextField;
import flash.text.TextFieldAutoSize;

class PopupItemSub extends PopupItemString
{
	private var sub : Popup;
	
	public function new( pop : Popup, atext : String, asub : Popup )
	{
		super( pop, atext, null );
		sub = asub;
		
		draw( false, textF.width + 8 );
	}
	
	private function draw( highlight : Bool, w : Float )
	{
		super.draw( highlight, w );
		
		var alpha = if(highlight) 1.0 else 0.5;
		
		graphics.beginFill( 0x000000, alpha );
		graphics.moveTo( w - 8, height/2-3 );
		graphics.lineTo( w - 3, height/2 );
		graphics.lineTo( w - 8, height/2 + 3 );
		graphics.lineTo( w - 8, height/2 -3 );
		graphics.endFill();
	}
	
	public function getSubMenu() : Popup 
	{
		return sub;
	}
}

