package ui;

/**
 * Indicates that this control is selectable, that it has a status of being
 * selected or not selected.
 */
interface Selectable
{
	public function getSelected() : Bool;
	public function setSelected( sel : Bool ) : Void;
	public function setOnSelectChange( action : Dynamic ) : Void;
}
